import Customer from "./models/Customer";
import Boat from "./models/Boat";
import Worker from "./models/Worker";
import CheckIn from "./models/CheckIn";

const isDev = process.env.NODE_ENV === "development";

const dbInit = () =>
  Promise.all([
    Customer.sync({ alter: isDev }),
    Boat.sync({ alter: isDev }),
    Worker.sync({ alter: isDev }),
    CheckIn.sync({ alter: isDev }),
  ]);

export default dbInit;
